Last Comment Bug 690235 - fix mac build with clang
: fix mac build with clang
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla10
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
Mentors:
Depends on: 689397
Blocks: 666414
  Show dependency treegraph
 
Reported: 2011-09-28 21:50 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2011-11-21 18:10 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
fix the clang build (732 bytes, patch)
2011-09-28 21:50 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
ehsan: review+
jst: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-09-28 21:50:36 PDT
Created attachment 563303 [details] [diff] [review]
fix the clang build

+++ This bug was initially created as a clone of Bug #689397 +++

This is a small part of 689397 that can be committed earlier and fixes the clang build.
Comment 1 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-09-28 21:55:18 PDT
Try at
https://tbpl.mozilla.org/?tree=Try&rev=84599c41c8c4
Comment 2 :Ehsan Akhgari 2011-09-29 07:54:38 PDT
Comment on attachment 563303 [details] [diff] [review]
fix the clang build

r=me.
Comment 4 :Ehsan Akhgari 2011-09-29 08:00:06 PDT
Comment on attachment 563303 [details] [diff] [review]
fix the clang build

This is a very low risk patch, which effectively doesn't change any semantics, but enables Aurora to be built using clang.
Comment 5 :Ehsan Akhgari 2011-09-29 14:30:36 PDT
https://hg.mozilla.org/mozilla-central/rev/f96e4ff817a7

I accidentally pushed this patch to mozilla-central while it was living on inbound.  On the next merge, it will be merged.  Sorry for the mess!
Comment 6 :Ehsan Akhgari 2011-09-29 15:51:12 PDT
Merged from inbound: https://hg.mozilla.org/mozilla-central/rev/ac24c47e2885
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-21 17:28:36 PST
Is there something QA can do to verify this fix?
Comment 9 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-11-21 17:31:43 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #8)
> Is there something QA can do to verify this fix?

I don't think so, it was just a build fix.

Note You need to log in before you can comment on or make changes to this bug.